derive-2.5.13: A program and library to derive instances for data types

Safe Haskell | None

Data.Derive.DSL.DSL

# Documentation

data DSL Source

Constructors

App String DSL |
Concat DSL |
Reverse DSL |
String String |
ShowInt DSL |
Int Integer |
List [DSL] |
MapField DSL |
MapCtor DSL |
DataName |
CtorName |
CtorIndex |
CtorArity |
FieldIndex |
Fold DSL DSL |
Head |
Tail |
Instance [String] String DSL |
Application DSL |

Instances

Data DSL |
Show DSL |
Typeable DSL |

box :: DSL -> DSL Source

nil :: DSL Source

append :: DSL -> DSL -> DSL Source

fromOut :: Output -> DSL Source

simplifyDSL :: DSL -> DSL Source

prettyTex :: DSL -> String Source